Get Motion ICP detail
curl --request GET \
--url https://app.octavehq.com/api/v2/motion-icp/get \
--header 'api_key: <api-key>'import requests
url = "https://app.octavehq.com/api/v2/motion-icp/get"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://app.octavehq.com/api/v2/motion-icp/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_metadata": {
"requestId": "requestId",
"timestamp": "2021-01-01T00:00:00.000Z",
"usage": 0,
"message": "message"
},
"data": {
"oId": "<string>",
"motionPlaybookOId": "<string>",
"persona": {
"oId": "<string>",
"name": "<string>"
},
"segment": {
"oId": "<string>",
"name": "<string>"
},
"disabled": true,
"narrative": {
"targetIcpOverview": "<string>",
"operatingLandscape": [
"<string>"
],
"strategicNarrative": [
"<string>"
],
"painsAndConsequences": [
"<string>"
],
"benefitsAndImpacts": [
"<string>"
],
"methodology": [
{
"label": "<string>",
"sections": [
{
"title": "<string>",
"value": "<string>"
}
],
"subLabel": "<string>"
}
],
"valueProps": [
"<string>"
],
"approachAngle": [
"<string>"
],
"businessImpact": [
"<string>"
],
"uniqueInsight": [
"<string>"
]
},
"learningsCount": 123,
"latestReport": {
"oId": "<string>",
"title": "<string>",
"summary": "<string>",
"windowStart": "<string>",
"windowEnd": "<string>",
"comparisonWithPrevious": {
"summaryOfChanges": "<string>",
"emphasisShift": "<string>",
"keyDelta": "<string>",
"newThemes": [
"<string>"
],
"continuingThemes": [
"<string>"
]
}
}
}
}Motion ICP
Get Motion ICP detail
Get full detail for a Motion ICP cell including the AI-generated narrative and learning count. Use includeReport=true to include the latest report run summary and comparisonWithPrevious. Use GET /api/v2/motion-icp/elements/list to fetch recommended library entities for this cell.
GET
/
api
/
v2
/
motion-icp
/
get
Get Motion ICP detail
Authorizations
Query Parameters
Motion ICP oId (micp_ prefix)
Pass true to include the latest completed report run summary and comparisonWithPrevious in the response. Defaults to false.
⌘I